using VOID.Generic.Dict;
using VOID.Generic.Objects.Unit;
using VOID.Generic.Player.Util;

namespace VOID.Generic.Player.DraggingOperation
{
    public class AbilityBookToActionBarDraggingOperation : AbstractDraggingOperation
    {
        public override bool Check(SelectUtilResult sourceSelect, SelectUtilResult targetSelect)
        {
            return sourceSelect.slotUI?.slotType == SlotType.AbilityBookSlot
                   && targetSelect.slotUI?.slotType == SlotType.ActionBarSlot;
        }

        public override void Perform(UnitObject unit, SelectUtilResult sourceSelect, SelectUtilResult targetSelect)
        {
            unit.unitActionBar.Set(targetSelect.slotUI.slotIndex, sourceSelect.selectAbility);
        }
    }
}